## org.apache.ivy.osgi.p2
Class P2Descriptor

    java.lang.Object
      org.apache.ivy.osgi.repo.RepoDescriptor
          org.apache.ivy.osgi.p2.P2Descriptor

    public class P2Descriptor

extends RepoDescriptor

Constructor Summary
`P2Descriptor(java.net.URI repoUri, ExecutionEnvironmentProfileProvider profileProvider)`

Method Summary
`void` `addArtifactUrl(java.lang.String classifier, java.lang.String id, Version version, java.lang.String url)`
`void` `addBundle(BundleInfo bundleInfo)`
`void` `setTimestamp(long timestamp)`

Methods inherited from class org.apache.ivy.osgi.repo.RepoDescriptor
`add, equals, findModule, getBaseUri, getCapabilityValues, getModuleByCapbilities, getModules, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### P2Descriptor

    public P2Descriptor(java.net.URI repoUri,
                        ExecutionEnvironmentProfileProvider profileProvider)

Method Detail

### setTimestamp

    public void setTimestamp(long timestamp)

### addBundle

    public void addBundle(BundleInfo bundleInfo)

  Overrides:
    `addBundle` in class `RepoDescriptor`

### addArtifactUrl

    public void addArtifactUrl(java.lang.String classifier,
                               java.lang.String id,
                               Version version,
                               java.lang.String url)